<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.test.java"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.test.java.TestJavaPlugin">

   <runtime>
      <library name="java.runner.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.java.junit,org.eclipse.hyades.test.java.runner"/>
      </library>
      <library name="java.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.java.internal,org.eclipse.hyades.test.java"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.junit"/>
      <import plugin="org.eclipse.core.boot"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.test.common"/>
      <import plugin="org.eclipse.hyades.execution.remote"/>
      <import plugin="org.eclipse.hyades.execution.harness"/>
      <import plugin="org.eclipse.hyades.execution.core"/>
      <import plugin="org.eclipse.hyades.execution.local"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.debug.core"/>
   </requires>


   <extension
         point="org.eclipse.hyades.ui.typeDescriptions">
      <typeDescription
            name="%TST_SUITE_JUNIT_NAME"
            type="org.eclipse.hyades.test.java.junit.testSuite"
            icon="icons/full/obj16/tsuite.gif"
            description="%TST_SUITE_JUNIT_DSC"
            extension="testsuite">
      </typeDescription>
      <typeDescription
            name="%TST_CASE_JUNIT_NAME"
            type="org.eclipse.hyades.test.java.junit.testCase"
            icon="icons/full/obj16/test.gif"
            description="%TST_CASE_JUNIT_DSC"
            extension="testcase">
      </typeDescription>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.typeValidators">
      <typeValidator
            type="org.eclipse.hyades.test.java.junit.testSuite"
            class="org.eclipse.hyades.test.java.junit.TypeValidator"
            id="org.eclipse.hyades.test.java.junit.testSuite.Validator"
            extension="testsuite">
      </typeValidator>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.newTestCaseWizards">
      <wizard
            name="%TST_CASE_JUNIT_NAME"
            type="org.eclipse.hyades.test.java.junit.testCase"
            icon="icons/full/obj16/test.gif"
            description="%WIZ_NEW_JUNIT_TST_CASE_DSC"
            class="org.eclipse.hyades.test.java.internal.junit.wizard.JUnitTestCaseNewWizard"
            id="org.eclipse.hyades.test.java.internal.junit.wizard.JUnitTestCaseNewWizard">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            name="%TST_SUITE_JUNIT_NAME"
            icon="icons/full/obj16/tsuite.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testSuite"
            class="org.eclipse.hyades.test.java.internal.junit.wizard.JUnitTestSuiteNewWizard"
            id="org.eclipse.hyades.test.java.internal.junit.wizard.JUnitTestSuiteNewWizard">
         <description>
            %WIZ_NEW_JUNIT_TST_SUITE_DSC
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.editorExtensions">
      <editorExtension
            name="%EDT_JUNIT_TST_SUITE_TTL"
            description="%EDT_JUNIT_TST_SUITE_DSC"
            class="org.eclipse.hyades.test.java.internal.junit.editor.JUnitEditorExtension"
            id="org.eclipse.hyades.test.java.internal.junit.editor.JUnitEditorExtension"
            extension="testsuite">
         <appliesTo
               type="org.eclipse.hyades.test.java.junit.testSuite">
         </appliesTo>
      </editorExtension>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.generateWizards">
      <generateWizard
            name="%GEN_WTITLE"
            type="org.eclipse.hyades.test.java.junit.testSuite"
            icon="icons/full/ctool16/generate_wiz.gif"
            description="%GEN_WDESC"
            class="org.eclipse.hyades.test.java.internal.junit.wizard.GenerateWizard"
            extension="testsuite">
      </generateWizard>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.runWizards">
      <runWizard
            name="%RUN_WTITLE"
            type="org.eclipse.hyades.test.java.junit.testSuite"
            icon="icons/full/ctool16/run_wiz.gif"
            description="%RUN_WDESC"
            class="org.eclipse.hyades.test.java.internal.junit.wizard.RunJavaWizard"
            extension="testsuite">
      </runWizard>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.launchableType">
      <launchableType
            type="org.eclipse.hyades.test.java.junit.testSuite"
            kind="test">
         <supportedMode
               shortcutAvailable="true"
               mode="run">
         </supportedMode>
      </launchableType>
      <launchableType
            type="org.eclipse.hyades.test.java.junit.testCase"
            kind="test">
         <supportedMode
               shortcutAvailable="true"
               mode="run">
         </supportedMode>
      </launchableType>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.runHandler">
      <runHandler
            class="org.eclipse.hyades.test.java.internal.junit.launch.RunHandler">
      </runHandler>
   </extension>

</plugin>
